Package twisted :: Package words :: Module ircservice :: Class IRCChatter

[show private | hide private]
[frames | no frames]

## Class IRCChatter

    BaseProtocol --+
                   |
            Protocol --+
                       |
                     IRC --+
                           |
             WordsClient --+
                           |
                          IRCChatter

Method Summary
| `callRemote(self, key, *args, **kw)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made. (inherited from `IRC`)
| ``dataReceived`(self, data)` This hack is to support mIRC, which sends LF only, even though the RFC says CRLF. (inherited from `IRC`)
| `failedLogin(self, error)`
| ``handleCommand`(self, command, prefix, params)` Determine the function to call for the given command and call it with the given arguments. (inherited from `IRC`)
| ``irc_AWAY`(self, prefix, params)` Away
| ``irc_channelMODE`(self, prefix, params)` Channel mode message
| ``irc_CONNECT`(self, prefix, params)` Connect message
| ``irc_DIE`(self, prefix, params)` Die message
| ``irc_ERROR`(self, prefix, params)` Error
| ``irc_INFO`(self, prefix, params)` Admin command
| ``irc_INVITE`(self, prefix, params)` Invite message
| ``irc_ISON`(self, prefix, params)` Ison message
| ``irc_JOIN`(self, prefix, params)` Join message
| ``irc_KICK`(self, prefix, params)` Kick command
| ``irc_KILL`(self, prefix, params)` Kill message
| ``irc_LINKS`(self, prefix, params)` Links message
| ``irc_LIST`(self, prefix, params)` List message
| ``irc_LUSERS`(self, prefix, params)` Lusers message
| ``irc_MODE`(self, prefix, params)` User mode message
| ``irc_MOTD`(self, prefix, params)` Motd message
| ``irc_NAMES`(self, prefix, params)` Names message
| ``irc_NICK`(self, prefix, params)` Nick message -- Set your nickname.
| ``irc_NOTICE`(self, prefix, params)` Notice
| ``irc_OPER`(self, prefix, params)` Oper message
| ``irc_PART`(self, prefix, params)` Part message
| ``irc_PASS`(self, prefix, params)` Password message -- Register a password.
| ``irc_PING`(self, prefix, params)` Ping message
| ``irc_PONG`(self, prefix, params)` Pong message
| ``irc_PRIVMSG`(self, prefix, params)` Send a (private) message.
| ``irc_QUIT`(self, prefix, params)` Quit
| ``irc_REHASH`(self, prefix, params)` Rehash message
| ``irc_RESTART`(self, prefix, params)` Restart message
| ``irc_SERVICE`(self, prefix, params)` Service message
| ``irc_SERVLIST`(self, prefix, params)` Servlist message
| ``irc_SQUERY`(self, prefix, params)` Squery
| ``irc_SQUIT`(self, prefix, params)` SQuit
| ``irc_STATS`(self, prefix, params)` Stats message
| ``irc_SUMMON`(self, prefix, params)` Summon message
| ``irc_TIME`(self, prefix, params)` Time message
| ``irc_TOPIC`(self, prefix, params)` Topic message
| ``irc_TRACE`(self, prefix, params)` Trace message
| ``irc_unknown`(self, prefix, command, params)` Implement me!
| ``irc_USER`(self, prefix, params)` User message -- Set your realname.
| ``irc_USERHOST`(self, prefix, params)` Userhost message
| ``irc_USERS`(self, prefix, params)` Users
| ``irc_VERSION`(self, prefix, params)` Version message
| ``irc_WALLOPS`(self, prefix, params)` Operwall message
| ``irc_WHO`(self, prefix, params)` Who query
| ``irc_WHOIS`(self, prefix, params)` Whois query
| ``irc_WHOWAS`(self, prefix, params)` Whowas
| ``loggedInAs`(self, ident)` Successfully logged in.
| ``logInAs`(self, participant, password)` Spawn appropriate callbacks to log in as this participant.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `memberJoined(self, member, group)`
| `memberLeft(self, member, group)`
| `notifyStatusChanged(self, name, status)`
| ``notLoggedIn`(self, message)` Login failed.
| `receiveContactList(self, contactList)`
| `receiveDirectMessage(self, senderName, message, metadata)`
| `receiveGroupMembers(self, names, group)` (inherited from `WordsClient`)
| `receiveGroupMessage(self, sender, group, message, metadata)`
| `sendLine(self, line)` (inherited from `IRC`)
| `sendMessage(self, command, *parameter_list, **kw)`
| `setGroupMetadata(self, metadata, groupName)`
| `successfulLogin(self, msg, ident)`

Class Variable Summary
`str` | `hostname`
`str` | `nickname`
`NoneType` | `participant`
`NoneType` | `passwd`
`NoneType` | `pendingLogin`
`str` | `servicename`

Method Details

### connectionLost(self, reason)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### irc_AWAY(self, prefix, params)

Away

Parameters: [ <text> ]

[Optional]

### irc_channelMODE(self, prefix, params)

Channel mode message

Parameters: <channel> *( ( "-" / "+" ) *<modes> *<modeparams> )

[REQUIRED]

### irc_CONNECT(self, prefix, params)

Connect message

Parameters: <target server> <port> [ <remote server> ]

[REQUIRED]

### irc_DIE(self, prefix, params)

Die message

Parameters: None

[Optional]

### irc_ERROR(self, prefix, params)

Error

Parameters: <error message>

[REQUIRED]

### irc_INFO(self, prefix, params)

Admin command

Parameters: [ <target> ]

[REQUIRED]

### irc_INVITE(self, prefix, params)

Invite message

Parameters: <nickname> <channel>

[REQUIRED]

### irc_ISON(self, prefix, params)

Ison message

Parameters: <nickname> *( SPACE <nickname> )

[Optional]

### irc_JOIN(self, prefix, params)

Join message

Parameters: ( <channel> *( "," <channel> ) [ <key> *( "," <key> ) ] )

[REQUIRED]

### irc_KICK(self, prefix, params)

Kick command

Parameters: <channel> *( "," <channel> ) <user> *( "," <user> )

[REQUIRED]

### irc_KILL(self, prefix, params)

Kill message

Parameters: <nickname> <comment>

[REQUIRED]

### irc_LINKS(self, prefix, params)

Links message

Parameters: [ [ <remote server> ] <server mask> ]

[REQUIRED]

### irc_LIST(self, prefix, params)

List message

Parameters: [ <channel> *( "," <channel> ) [ <target> ] ]

[REQUIRED]

### irc_LUSERS(self, prefix, params)

Lusers message

Parameters: [ <mask> [ <target> ] ]

[REQUIRED]

### irc_MODE(self, prefix, params)

User mode message

Parameters: <nickname> *( ( "+" / "-" ) *( "i" / "w" / "o" / "O" / "r" ) )

[REQUIRED]

### irc_MOTD(self, prefix, params)

Motd message

Parameters: [ <target> ]

[REQUIRED]

### irc_NAMES(self, prefix, params)

Names message

Parameters: [ <channel> *( "," <channel> ) [ <target> ] ]

[REQUIRED]

### irc_NICK(self, prefix, params)

Nick message -- Set your nickname.

Parameters: <nickname>

[REQUIRED]

This is also probably the first thing the client sends us (except possibly PASS), so the rest of the sign-on junk is in here.

### irc_NOTICE(self, prefix, params)

Notice

Parameters: <msgtarget> <text>

[REQUIRED]

### irc_OPER(self, prefix, params)

Oper message

Parameters: <name> <password>

[REQUIRED]

### irc_PART(self, prefix, params)

Part message

Parameters: <channel> *( "," <channel> ) [ <Part Message> ]

[REQUIRED]

### irc_PASS(self, prefix, params)

Password message -- Register a password.

Parameters: <password>

[REQUIRED]

Note that IRC requires the client send this *before* NICK and USER.

### irc_PING(self, prefix, params)

Ping message

Parameters: <server1> [ <server2> ]

[REQUIRED]

### irc_PONG(self, prefix, params)

Pong message

Parameters: <server> [ <server2> ]

[REQUIRED]

### irc_PRIVMSG(self, prefix, params)

Send a (private) message.

Parameters: <msgtarget> <text to be sent>

[REQUIRED]

### irc_QUIT(self, prefix, params)

Quit

Parameters: [ <Quit Message> ]

[REQUIRED]

### irc_REHASH(self, prefix, params)

Rehash message

Parameters: None

[Optional]

### irc_RESTART(self, prefix, params)

Restart message

Parameters: None

[Optional]

### irc_SERVICE(self, prefix, params)

Service message

Parameters: <nickname> <reserved> <distribution> <type>

[REQUIRED]

### irc_SERVLIST(self, prefix, params)

Servlist message

Parameters: [ <mask> [ <type> ] ]

[REQUIRED]

### irc_SQUERY(self, prefix, params)

Squery

Parameters: <servicename> <text>

[REQUIRED]

### irc_SQUIT(self, prefix, params)

SQuit

Parameters: <server> <comment>

[REQUIRED]

### irc_STATS(self, prefix, params)

Stats message

Parameters: [ <query> [ <target> ] ]

[REQUIRED]

### irc_SUMMON(self, prefix, params)

Summon message

Parameters: <user> [ <target> [ <channel> ] ]

[Optional]

### irc_TIME(self, prefix, params)

Time message

Parameters: [ <target> ]

[REQUIRED]

### irc_TOPIC(self, prefix, params)

Topic message

Parameters: <channel> [ <topic> ]

[REQUIRED]

### irc_TRACE(self, prefix, params)

Trace message

Parameters: [ <target> ]

[REQUIRED]

### irc_unknown(self, prefix, command, params)

Implement me!

  Overrides:
    `twisted.protocols.irc.IRC.irc_unknown` (inherited documentation)

### irc_USER(self, prefix, params)

User message -- Set your realname.

Parameters: <user> <mode> <unused> <realname>

[REQUIRED] for backwards compatibility to IRC clients.

### irc_USERHOST(self, prefix, params)

Userhost message

Parameters: <nickname> *( SPACE <nickname> )

[Optional]

### irc_USERS(self, prefix, params)

Users

Parameters: [ <target> ]

[Optional]

### irc_VERSION(self, prefix, params)

Version message

Parameters: [ <target> ]

[REQUIRED]

### irc_WALLOPS(self, prefix, params)

Operwall message

Parameters: <Text to be sent>

[Optional]

### irc_WHO(self, prefix, params)

Who query

Parameters: [ <mask> [ "o" ] ]

[REQUIRED]

### irc_WHOIS(self, prefix, params)

Whois query

Parameters: [ <target> ] <mask> *( "," <mask> )

[REQUIRED]

### irc_WHOWAS(self, prefix, params)

Whowas

Parameters: <nickname> *( "," <nickname> ) [ <count> [ <target> ] ]

[REQUIRED]

### loggedInAs(self, ident)

Successfully logged in.

### logInAs(self, participant, password)

Spawn appropriate callbacks to log in as this participant.

### notLoggedIn(self, message)

Login failed.

Class Variable Details

### hostname

  Type:
    `str`
  Value:

        'nowhere'

### nickname

  Type:
    `str`
  Value:

        '*'

### participant

  Type:
    `NoneType`
  Value:

        None

### passwd

  Type:
    `NoneType`
  Value:

        None

### pendingLogin

  Type:
    `NoneType`
  Value:

        None

### servicename

  Type:
    `str`
  Value:

        'twisted.words'

Generated by Epydoc 1.1 on Thu May 8 13:19:26 2003 | http://epydoc.sf.net